Package org.drinkless.tdlib

# Class TdApi.ChatBoostFeatures

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatBoostFeatures

Enclosing class:
  `TdApi`

public static class TdApi.ChatBoostFeatures extends TdApi.Object
Contains a list of features available on the first chat boost levels.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatBoostLevelFeatures[]`
  `features`
  The list of features.
  `int`
  `minAutomaticTranslationBoostLevel`
  The minimum boost level allowing to enable automatic translation of messages for non-Premium users; for channel chats only.
  `int`
  `minBackgroundCustomEmojiBoostLevel`
  The minimum boost level required to set custom emoji for reply header and link preview background; for channel chats only.
  `int`
  `minChatThemeBackgroundBoostLevel`
  The minimum boost level required to set a chat theme background as chat background.
  `int`
  `minCustomBackgroundBoostLevel`
  The minimum boost level required to set custom chat background.
  `int`
  `minCustomEmojiStickerSetBoostLevel`
  The minimum boost level required to set custom emoji sticker set for the chat; for supergroup chats only.
  `int`
  `minEmojiStatusBoostLevel`
  The minimum boost level required to set emoji status.
  `int`
  `minProfileBackgroundCustomEmojiBoostLevel`
  The minimum boost level required to set custom emoji for profile background.
  `int`
  `minSpeechRecognitionBoostLevel`
  The minimum boost level allowing to recognize speech in video note and voice note messages for non-Premium users; for supergroup chats only.
  `int`
  `minSponsoredMessageDisableBoostLevel`
  The minimum boost level allowing to disable sponsored messages in the chat; for channel chats only.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatBoostFeatures()`
  Contains a list of features available on the first chat boost levels.
  `ChatBoostFeatures(TdApi.ChatBoostLevelFeatures[] features, int minProfileBackgroundCustomEmojiBoostLevel, int minBackgroundCustomEmojiBoostLevel, int minEmojiStatusBoostLevel, int minChatThemeBackgroundBoostLevel, int minCustomBackgroundBoostLevel, int minCustomEmojiStickerSetBoostLevel, int minAutomaticTranslationBoostLevel, int minSpeechRecognitionBoostLevel, int minSponsoredMessageDisableBoostLevel)`
  Contains a list of features available on the first chat boost levels.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### features

    public TdApi.ChatBoostLevelFeatures[] features
    The list of features.

  - ### minProfileBackgroundCustomEmojiBoostLevel

    public int minProfileBackgroundCustomEmojiBoostLevel
    The minimum boost level required to set custom emoji for profile background.

  - ### minBackgroundCustomEmojiBoostLevel

    public int minBackgroundCustomEmojiBoostLevel
    The minimum boost level required to set custom emoji for reply header and link preview background; for channel chats only.

  - ### minEmojiStatusBoostLevel

    public int minEmojiStatusBoostLevel
    The minimum boost level required to set emoji status.

  - ### minChatThemeBackgroundBoostLevel

    public int minChatThemeBackgroundBoostLevel
    The minimum boost level required to set a chat theme background as chat background.

  - ### minCustomBackgroundBoostLevel

    public int minCustomBackgroundBoostLevel
    The minimum boost level required to set custom chat background.

  - ### minCustomEmojiStickerSetBoostLevel

    public int minCustomEmojiStickerSetBoostLevel
    The minimum boost level required to set custom emoji sticker set for the chat; for supergroup chats only.

  - ### minAutomaticTranslationBoostLevel

    public int minAutomaticTranslationBoostLevel
    The minimum boost level allowing to enable automatic translation of messages for non-Premium users; for channel chats only.

  - ### minSpeechRecognitionBoostLevel

    public int minSpeechRecognitionBoostLevel
    The minimum boost level allowing to recognize speech in video note and voice note messages for non-Premium users; for supergroup chats only.

  - ### minSponsoredMessageDisableBoostLevel

    public int minSponsoredMessageDisableBoostLevel
    The minimum boost level allowing to disable sponsored messages in the chat; for channel chats only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatBoostFeatures

    public ChatBoostFeatures()
    Contains a list of features available on the first chat boost levels.

  - ### ChatBoostFeatures

    public ChatBoostFeatures(TdApi.ChatBoostLevelFeatures[] features, int minProfileBackgroundCustomEmojiBoostLevel, int minBackgroundCustomEmojiBoostLevel, int minEmojiStatusBoostLevel, int minChatThemeBackgroundBoostLevel, int minCustomBackgroundBoostLevel, int minCustomEmojiStickerSetBoostLevel, int minAutomaticTranslationBoostLevel, int minSpeechRecognitionBoostLevel, int minSponsoredMessageDisableBoostLevel)
    Contains a list of features available on the first chat boost levels.
    Parameters:
      `features` - The list of features.
      `minProfileBackgroundCustomEmojiBoostLevel` - The minimum boost level required to set custom emoji for profile background.
      `minBackgroundCustomEmojiBoostLevel` - The minimum boost level required to set custom emoji for reply header and link preview background; for channel chats only.
      `minEmojiStatusBoostLevel` - The minimum boost level required to set emoji status.
      `minChatThemeBackgroundBoostLevel` - The minimum boost level required to set a chat theme background as chat background.
      `minCustomBackgroundBoostLevel` - The minimum boost level required to set custom chat background.
      `minCustomEmojiStickerSetBoostLevel` - The minimum boost level required to set custom emoji sticker set for the chat; for supergroup chats only.
      `minAutomaticTranslationBoostLevel` - The minimum boost level allowing to enable automatic translation of messages for non-Premium users; for channel chats only.
      `minSpeechRecognitionBoostLevel` - The minimum boost level allowing to recognize speech in video note and voice note messages for non-Premium users; for supergroup chats only.
      `minSponsoredMessageDisableBoostLevel` - The minimum boost level allowing to disable sponsored messages in the chat; for channel chats only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR